var host = 'https://food.boohee.com/fb/v1/foods/';
var foodCode = getUrlParam('code');
var foodKCal = 0;
var foodKJ = 0;
var foodUnit = "千卡";
var foodProtein = 0;
var foodFat = 0;
var foodCarbo = 0;
var foodFactor = 1;

$.getJSON(host + foodCode + ".json").done(function (data) {
	foodKCal = data.calory;
	foodKJ = Math.round(data.calory * 4.182);
	foodProtein = data.protein;
	foodFat = data.fat;
	foodCarbo = data.carbohydrate;

	// 头部
	$("#foodImage").attr("src", data.thumb_image_url);
	$("#foodName").html(data.name);
	if (data.health_light == 1) {
		$("#foodLight").html("<span class='greenLight'>绿灯食物</span> 推荐食用");
		$("#calorieValue").addClass("greenLight");
		$("#calorieUnit").addClass("greenLight");
	} else if (data.health_light == 2) {
		$("#foodLight").html("<span class='yellowLight'>黄灯食物</span> 适量食用");
		$("#calorieValue").addClass("yellowLight");
		$("#calorieUnit").addClass("yellowLight");
	} else if (data.health_light == 3) {
		$("#foodLight").html("<span class='redLight'>红灯食物</span> 少量");
		$("#calorieValue").addClass("redLight");
		$("#calorieUnit").addClass("redLight");
	}

	// 热量
	$("#calorieValue").html(foodKCal);

	// 切换热量单位
	$("#unitKJ").click(function(){
		foodUnit = "千焦";
		$(this).addClass("unitSelected");
		$("#unitKCal").removeClass("unitSelected");
		$("#calorieValue").html(foodKJ);
		$("#calorieUnit").html(foodUnit);
		refresh();
		return false;
	});
	$("#unitKCal").click(function(){
		foodUnit = "千卡";
		$(this).addClass("unitSelected");
		$("#unitKJ").removeClass("unitSelected");
		$("#calorieValue").html(foodKCal);
		$("#calorieUnit").html(foodUnit);
		refresh();
		return false;
	});

	// 榜单
	rankingList(data.id);

	// 营养素
	$("#nutritionCalorieDesc").html(data.lights.calory);
	$("#nutritionProteinDesc").html(data.lights.protein);
	$("#nutritionFatDesc").html(data.lights.fat);
	$("#nutritionCarboDesc").html(data.lights.carbohydrate);

	var proteinCalorie = foodProtein * 4;
	var fatCalorie = foodFat * 9;
	var carboCalorie = foodCarbo * 4;
	var totalCalorie = proteinCalorie + fatCalorie + carboCalorie;
	var proteinPercent = Math.round(100 * proteinCalorie / totalCalorie);
	var fatPercent = Math.round(100 * fatCalorie / totalCalorie);
	var carboPercent = 100 - proteinPercent - fatPercent;

	$("#proteinPercent").html(proteinPercent + "%");
	$("#fatPercent").html(fatPercent + "%");
	$("#carboPercent").html(carboPercent + "%");

	$("#proteinCircle").addClass("circlePercent" + Math.round(proteinPercent / 5));
	$("#fatCircle").addClass("circlePercent" + Math.round(fatPercent / 5));
	$("#carboCircle").addClass("circlePercent" + Math.round(carboPercent / 5));

	refresh();

	// 个性化单位
	if (data.units.length) {
		$("#unitHandler").addClass("dropDown");
		for (var i = 0; i < data.units.length; i++) {
			unitString = '<li class="borderTop"><a href="###" rel="1 ';
			unitString += data.units[i].unit + '" factor="';
			unitString += data.units[i].weight / 100;
			unitString += '">1 ' + data.units[i].unit;
			unitString += '<span>' + Math.round(data.units[i].weight) + ' 克</span></a></li>';
			$("#unitList").append(unitString);
		}
		
		// 切换个性化单位
		$("#unitList a").click(function(){
			$("#overlay").hide();
			$("#unitHandler").html($(this).attr("rel"));
			foodFactor = $(this).attr("factor");
			refresh();
			return false;
		});

		$("#unitHandler").click(function(){
			$("#overlay").fadeIn();
			return false;
		});

		$("#closeHandler").click(function(){
			$("#overlay").hide();
			return false;
		});
	} else {
		$("#unitHandler").click(function(){
			return false;
		});
	}

	$("#nutritionLink").attr("href", "nutrition.html?code=" + foodCode);

	// 血糖
	if (data.gi) {
		$("#bloodSugar").show();
		$("#giValue").html(data.gi);
		$("#giDesc").html(data.lights.gi);
		$("#glValue").html(data.gl);
		$("#glDesc").html(data.lights.gl);
	}
});

// 同类对比
$.getJSON(host + foodCode + "/group_foods.json").done(function (group_data) {
	if ( !group_data.calory_rank ) return false;

	$("#calorieCompare").show();
	if (group_data.calory_rank < 33) {
		gradeStyle = "greenLight";
	} else if (group_data.calory_rank < 66) {
		gradeStyle = "yellowLight";
	} else {
		gradeStyle = "redLight";
	}
	$("#compareConclusion").html("热量低于 <span class='" + gradeStyle + "'>" + (100 - group_data.calory_rank) + "%</span> 的" + group_data.name);
	$("#comparePointer span").addClass(gradeStyle).css("left", group_data.calory_rank + "%");
});

// 更新数据营养元素里的数据
function refresh() {
	$("#proteinValue").html( (foodProtein * foodFactor).toFixed(1) );
	$("#fatValue").html( (foodFat * foodFactor).toFixed(1) );
	$("#carboValue").html( (foodCarbo * foodFactor).toFixed(1) );
	$("#nutritionCalorieUnit").html(foodUnit);

	if ( foodUnit == "千焦" ) {
		$("#nutritionCalorieValue").html( Math.round(foodKJ * foodFactor) );
		$("#formula").html("注：<span>" +  (foodProtein * foodFactor).toFixed(1) + "</span> x 17 + <span>" + (foodFat * foodFactor).toFixed(1) + "</span> x 38 + <span>" + (foodCarbo * foodFactor).toFixed(1) + "</span> x 17 ≈ <span>" + Math.round(foodKJ * foodFactor) + "</span>" + foodUnit);
	} else {
		$("#nutritionCalorieValue").html( Math.round(foodKCal * foodFactor) );
		$("#formula").html("注：<span>" +  (foodProtein * foodFactor).toFixed(1) + "</span> x 4 + <span>" + (foodFat * foodFactor).toFixed(1) + "</span> x 9 + <span>" + (foodCarbo * foodFactor).toFixed(1) + "</span> x 4 ≈ <span>" + Math.round(foodKCal * foodFactor) + "</span>" + foodUnit);
	}
}

// 食物榜单
function rankingList(id) {
	$.getJSON(host + id + "/rankings.json").done(function (ranking_data) {
		if (!ranking_data.records.length) return false;

		$("#rankingList").show();
		for (var i = 0; i < ranking_data.records.length; i++) {
			var rankingString = '<li class="borderBottom"><a href="ranking_list.html?id=' + ranking_data.records[i].id + '">';
			if (ranking_data.records[i].ranking) {
				rankingString += '「' + ranking_data.records[i].title + '」第 ';
				rankingString += ranking_data.records[i].ranking + ' 名';
			} else {
				rankingString += '收录在「' + ranking_data.records[i].title + '」';
			}
			rankingString += '</a></li>';
			$("#rankingList ul").append(rankingString);
		}
	});
}

// 获取url中的参数
function getUrlParam(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return unescape(r[2]); return null;
}