var host = 'https://food.boohee.com/fb/v1/';
var rankingId = getUrlParam('id');
var unitList = {
	calory: {name: '热量', unit: '千卡'},
	vitamin_a: {name: "维生素A", unit: "IU"},
	vitamin_c: {name: "维生素C", unit: "毫克"},
	vitamin_e: {name: "维生素E", unit: "毫克"},
	carotene: {name: "胡萝卜素", unit: "毫克"},
	thiamine: {name: "维生素B1", unit: "毫克"},
	lactoflavin: {name: "维生素B2", unit: "毫克"},
	niacin: {name: "烟酸", unit: "毫克"},
	cholesterol: {name: "胆固醇", unit: "毫克"},
	magnesium: {name: "镁", unit: "毫克"},
	calcium: {name: "钙", unit: "毫克"},
	iron: {name: "铁", unit: "毫克"},
	zinc: {name: "锌", unit: "毫克"},
	copper: {name: "铜", unit: "毫克"},
	manganese: {name: "锰", unit: "毫克"},
	kalium: {name: "钾", unit: "毫克"},
	phosphor: {name: "磷", unit: "毫克"},
	natrium: {name: "钠", unit: "毫克"},
	selenium: {name: "硒", unit: "微克"},
	protein: {name: "蛋白质", unit: "克"},
	fat: {name: "脂肪", unit: "克"},
	carbohydrate: {name: "碳水化合物", unit: "克"},
	fiber_dietary: {name: "膳食纤维", unit: "克"},
	gi: {name: "GI", unit: ""},
	gl: {name: "GL", unit: ""},
};


$.getJSON(host + "food_rankings/" + rankingId + ".json").done(function (data) {
	$("header")
	.css('background-image', 'url(' + data.banner_url + ')')
	.append('<h1>' + data.title + '</h1');
	if (data.description) {
		$("header").append('<p>' + data.description + '</p>');
	}

	for (var i = 0; i < data.foods.length; i++) {
		var str = '<li class="borderBottom">';
		if (data['display_num?']) {
			str = '<li class="borderBottom order">';
		}
		str += '<a href="index.html?code=' + data.foods[i].code + '">';
		str += '<img src="' + data.foods[i].thumb_image_url + '">';
		str += '<h2>' + data.foods[i].name + '</h2>';
		if (data.show_column) {
			var prefix = unitList[data.show_column].name + ': ';
			var suffix = ' / 100克';
			if (data.show_column == "calory") prefix = '';
			if (data.show_column == "gi") suffix = '';
			str += '<p>' + prefix + '<span>' + data.foods[i][data.show_column] + '</span> ' + unitList[data.show_column].unit + suffix +  '</p>';
		}
		str += '</a>';
		str += '</li>';	
		$("#rankingList").append(str);
	}

});


// 获取url中的参数
function getUrlParam(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return unescape(r[2]); return null;
}